//#include <ARM/philips/lpc2103.h>

#define PCLK			14745600 //peripheral bus clock

/*********	AD0CR  ************/
#define ADC_CH0			0x01 //ADC0CR[7:0]
#define ADC_CH1			0x02
#define ADC_CH2			0x04
#define ADC_CH3			0x08
#define ADC_CH4			0x10
#define ADC_CH5			0x20
#define ADC_CH6			0x40
#define ADC_CH7			0x80

#define CR_CLKDIV		(((PCLK/4000000)&0xFF)<<8) //ADC0CR[15:8], ADC clock, must be <4,5MHz		
#define CR_BURST		(0<<16) //burst mode OFF

#define CR_CLKS10BIT	(0x00<<17)
#define CR_CLKS9BIT		(0x01<<17)
#define CR_CLKS8BIT		(0x02<<17)
#define CR_CLKS7BIT		(0x03<<17)
#define	CR_CLKS6BIT		(0x04<<17)
#define CR_CLKS5BIT		(0x05<<17)
#define CR_CLKS4BIT		(0x06<<17)
#define CR_CLKS3BIT		(0x07<<17)

#define CR_PDN			(1<<21) //ADC is operational
#define CR_START_NO		(0x00<<24)
#define CR_START_NOW	(0x01<<24)
#define CR_EDGE			(0x00<<27)   
/*********** AD0GDR ***************/
#define GDR_OVERRUN (1<<30) // overrun in burst mode
#define GDR_DONE	(1<<31) //conversion complete

/*unsigned short adc_read(char ch)
{
 PCB_PINSEL1|=(0x03<<16);//enable AD0.2 input
 AD0_CR=ch|CR_CLKDIV|CR_PDN|CR_START_NOW;//select channel and start
 while(!(AD0_GDR & GDR_DONE));//wait for completing conversion
 return ((AD0_GDR>>6)&0x3FF);
}*/
